import markerImg from '@/assets/images/screen/map-marker.png';
import carsImg from '@/assets/images/screen/map-cars.png';
import videoStartImg from '@/assets/images/screen/map-video-start.png';
import videoStopImg from '@/assets/images/screen/map-video-stop.png';

export default function getCarsMarker(AMap, map, opts = {}) {
  const marker = new AMap.Marker({
    icon: markerImg,
    anchor: 'top-center',
    offset: new AMap.Pixel(0, 0),
    ...opts,
  });

  //
  const { machineryId, name, orgName } = opts?.extData;

  marker.setLabel({
    direction: 'top',
    offset: new AMap.Pixel(0, 0),
    content: `
    <div class="SquareBox-box-carsMarker" onclick="openVideo('${machineryId}')">
    <div class="border_corner-carsMarker border_corner_left_top-left" ></div>
    <div class="border_corner-carsMarker border_corner_right_top-right" ></div>
    <div class="border_corner-carsMarker border_corner_left_bottom-left" ></div>
    <div class="border_corner-carsMarker border_corner_right_bottom-right" ></div>
    <div class="SquareBox-body-carsMarker">
    <div>
    <div>
    </div>
    <div>
      <div  class="map-top-border">
        <img class="map-top-cars borderBox" src="${carsImg}" alt="" />
        <img class="map-top-start borderBox" src="${videoStartImg}" alt="" />
        <img class="map-top-stop borderBox" src="${videoStopImg}" alt="" />
      </div>


      <div  class="map-button-border">
      
        <div class="carsName">名称：${name}</div>
        <div class="map-button-border-carsRural carsName">
        <div >归属：${orgName}</div>
        <span> \>> </span>
        </div>
  
      </div>


    </div>
  </div> `,
  });

  return marker;
}
