import React, { useEffect, useMemo, useRef, useState } from 'react';
import getRuralMarker from './RuralMarker';
import getCarsMarker from './CarsMarker';

export function useMarker(amapRef, map, list) {
  const markerListRef = useRef();

  // 农机列表
  useEffect(() => {
    if (!amapRef.current) return;

    if (list && list.length) {
      markerListRef.current = list.map((item) => {
        const fnMarker = item.typeId === 't0' ? getRuralMarker : getCarsMarker;
        return fnMarker(amapRef.current, null, {
          position: item.lnglat,
          extData: item,
        });
      });
    }
  }, [map, list]);

  return markerListRef;
}

export function useMarkerVisible(map, markerListRef, typeId) {
  useEffect(() => {
    console.log(typeId, markerListRef.current);
    if (!map || !markerListRef.current) return;

    markerListRef.current.forEach((marker) => {
      const item = marker.getExtData();
      marker.setMap(item.typeId === typeId ? map : null);
    });
  }, [map, typeId]);
}
